SystemOrganization addCategory: #GlamourLoader!

Object subclass: #GlamourConfig
	instanceVariableNames: 'project'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GlamourLoader'!

!GlamourConfig methodsFor: 'as yet unclassified' stamp: 'tg 9/8/2009 22:46'!
default
	<version: 'default' attribute: #common>
	^self project versionSpec
		blessing: #development;
		description: 'Glamour default';
		packages: (
			self project packagesSpec
				add: 'Glamour-Helpers' repository: 'http://www.squeaksource.com/Glamour';
				add: 'Glamour-Squeak' repository: 'http://www.squeaksource.com/Glamour';
				add: 'Glamour-Core' repository: 'http://www.squeaksource.com/Glamour';
				add: 'Glamour-Presentations' repository: 'http://www.squeaksource.com/Glamour';
				add: 'Glamour-Browsers' repository: 'http://www.squeaksource.com/Glamour';
				add: 'Glamour-Scripting' repository: 'http://www.squeaksource.com/Glamour';
				add: 'Glamour-Tests' repository: 'http://www.squeaksource.com/Glamour';
				add: 'Glamour-Morphic' requires: 'Mondrian for Glamour' repository: 'http://www.squeaksource.com/Glamour';
				add: 'System-Settings' repository: 'http://www.squeaksource.com/Pharo';
				add: 'Announcements' repository: 'http://www.squeaksource.com/Glamour';
				add: 'Mondrian for Glamour' project: 'Mondrian default' version: 'default';
				yourself );
		requiredProjects: (self project projectsSpec
				add: (self project projectSpec
					name: 'Mondrian default';
					className: 'MondrianConfig';
					projectPackage: (self project packageSpec
						name: 'MondrianLoader';
						repositoryName: 'http://www.squeaksource.com/Mondrian';
						yourself);
					yourself));
		projectPackage:
			(self project packageSpec
				name: 'GlamourLoader';
				repositoryName: 'http://www.squeaksource.com/Glamour';
				yourself);
		yourself! !

!GlamourConfig methodsFor: 'as yet unclassified' stamp: 'tg 9/2/2009 12:11'!
ensureMetacello
	Smalltalk at: #MetacelloProject ifAbsent: [
		ScriptLoader  loadLatestPackage: 'Metacello-All' from: 'http://seaside.gemstone.com/ss/metacello'.
		(Smalltalk at: #MetacelloMetacelloProject) updateProject.
		((Smalltalk at: #MetacelloMetacelloProject) version: '0.16') load ]! !

!GlamourConfig methodsFor: 'as yet unclassified' stamp: 'tg 9/2/2009 17:54'!
load
	self ensureMetacello.
	(self project version: 'default') load! !

!GlamourConfig methodsFor: 'as yet unclassified' stamp: 'simon.denier 8/31/2009 18:07'!
packages10beta
	<packages: '1.0-beta' attribute: #common>

	^self project packagesSpec
		add: 'Glamour-Helpers-tg.7' repository: 'http://www.squeaksource.com/Glamour';
		add: 'Glamour-Squeak-tg.6' repository: 'http://www.squeaksource.com/Glamour';
		add: 'Glamour-Core-tg.22' repository: 'http://www.squeaksource.com/Glamour';
		add: 'Glamour-Presentations-tg.20' repository: 'http://www.squeaksource.com/Glamour';
		add: 'Glamour-Browsers-tg.11' repository: 'http://www.squeaksource.com/Glamour';
		add: 'Glamour-Scripting-tg.21' repository: 'http://www.squeaksource.com/Glamour';
		add: 'Glamour-Tests-tg.19' repository: 'http://www.squeaksource.com/Glamour';
		add: 'Glamour-Morphic-tg.96' repository: 'http://www.squeaksource.com/Glamour';
		"will crush newer versions in image?"
		add: 'Announcements-tg.11' repository: 'http://www.squeaksource.com/Glamour';
		yourself ! !

!GlamourConfig methodsFor: 'accessing' stamp: 'tg 8/30/2009 17:53'!
project
	^ project ifNil: [project := (Smalltalk at: #MetacelloMCProject) on: self]! !

!GlamourConfig methodsFor: 'as yet unclassified' stamp: 'tg 8/30/2009 17:52'!
version10beta
	<version: '1.0-beta' attribute: #common>
	^self project versionSpec
		blessing: #development;
		description: 'Glamour 1.0 beta';
		packages: self packages10beta;
		projectPackage:
			(self project packageSpec
				name: 'GlamourLoader';
				repositoryName: 'http://www.squeaksource.com/Glamour';
				yourself);
		yourself! !

Object subclass: #GlamourLoader
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'GlamourLoader'!

!GlamourLoader classSide methodsFor: 'flair' stamp: 'tg 7/29/2009 15:35'!
all
	| config |
	self ensureFlairAndGofer.
	config := (Smalltalk at: #FLConfiguration) new.
	self allFor: config.
	^ config! !

!GlamourLoader classSide methodsFor: 'flair' stamp: 'tg 9/8/2009 21:55'!
allFor: config
	config project: 'Glamour All' dependsOn: [
		config package: 'Glamour-Helpers' from: 'http://www.squeaksource.com/Glamour'.
		config package: 'Glamour-Squeak' from: 'http://www.squeaksource.com/Glamour'.
		config package: 'Glamour-Core' from: 'http://www.squeaksource.com/Glamour'.
		config package: 'Glamour-Presentations' from: 'http://www.squeaksource.com/Glamour'.
		config package: 'Glamour-Browsers' from: 'http://www.squeaksource.com/Glamour'.
		config package: 'Glamour-Scripting' from: 'http://www.squeaksource.com/Glamour'.
		config package: 'Glamour-Tests' from: 'http://www.squeaksource.com/Glamour'.
		config package: 'Glamour-Morphic' from: 'http://www.squeaksource.com/Glamour' dependsOn: [
			config package: 'System-Settings' from: 'http://www.squeaksource.com/Pharo'].
		config package: 'Glamour-Examples' from: 'http://www.squeaksource.com/Glamour'.
		config package: 'Announcements' from: 'http://www.squeaksource.com/Glamour'.
		config allIn: 'MondrianLoader' from: 'http://www.squeaksource.com/Mondrian'
	]! !

!GlamourLoader classSide methodsFor: 'flair' stamp: 'tg 7/28/2009 12:16'!
ensureFlairAndGofer

	Smalltalk at: #FLProject ifAbsent: [
		ScriptLoader  loadLatestPackage: 'Gofer' from: 'http://source.lukas-renggli.ch/flair'.
		ScriptLoader  loadLatestPackage: 'Flair' from: 'http://source.lukas-renggli.ch/flair'. ].! !

!GlamourLoader classSide methodsFor: 'flair' stamp: 'tg 8/27/2009 20:12'!
glamourSeaside
	| config |
	self ensureFlairAndGofer.
	config := (Smalltalk at: #FLConfiguration) new.
	config package: 'Glamour-Seaside' from: 'http://www.squeaksource.com/Glamour'.
	^ config! !

!GlamourLoader classSide methodsFor: 'flair' stamp: 'tg 7/29/2009 22:30'!
load
	self all load! !
